/* colors */

/* Pry color: #0B3C5D   (Deep Blue) */
/* Accent color: #1CA7A6   (Teal) */
/* Light bg: #F4F7F9 */
/* Heading-color: #0B3C5D */
/* Dark text: #1A1A1A */
/* Gray: #E5E5E5 */

/* poppins font */
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/* open sans font */
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

*{
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

:root{
    /* Colors */
    --pry-color: #0B3C5D;
    --accent-color: #1CA7A6;
    --light-bg: #F4F7F9;
    --dark-text: #1A1A1A;
    --gray: #E5E5E5;
    --headings-color: #0B3C5D;
    --subheading-color: #1A1A1A;
    --white: #FFFFFF;
    --accent-hover: #17A2A3;

    /* font-family */
    --heading-font: 'Poppins', sans-serif;
    --paragraph-font: 'Open Sans', sans-serif;

    /* font-sizes */
    --h1-size: 2.75rem;
    --h2-size: 2rem;
    --h3-size: 1.5rem;
    --p-size: 1.2rem;
    --small-size: 0.875rem;
}

body{
    font-family: var(--paragraph-font);
    background-color: var(--light-bg);
    color: var(--dark-text);
}

h1{
    font-family: var(--heading-font);
    color: var(--headings-color);
    font-size: var(--h1-size);
}

h2{
    font-family: var(--heading-font);
    color: var(--subheading-color);
    font-size: var(--h2-size);
}

h3{
    font-family: var(--heading-font);
    color: var(--subheading-color);
    font-size: var(--h3-size);
}

p{
    font-size: var(--p-size);
    line-height: 1.6;
    color: var(--dark-text);
}

a{
    text-decoration: none;
    color: black;
}

section {
    padding: 80px 20px;
}

.btn{
    padding: 0.8rem 1.6rem;
    border: none;
    font-weight: 600;
    color: white;
    border-radius: 8px;
    transition: all 0.3s ease;
}

.pry-btn{
    color: white;
    font-family: var(--paragraph-font);
    background-color: var(--accent-color);
    border: 2px solid var(--accent-color);
    transition: background-color 0.3s ease;
}

.pry-btn:hover{
    border: 2px solid var(--accent-hover);
    background-color: transparent;
    color: var(--accent-hover);
}

.sec-btn{
    color: var(--accent-color);
    font-family: var(--paragraph-font);
    background-color: var(--white);
    border: 2px solid var(--accent-color);
    transition: background-color 0.3s ease, color 0.3s ease;
}
.sec-btn:hover{
    border: 2px solid var(--white);
    color: var(--whiter);
    background-color: transparent;
}

/* navigation bar */

.logo{
    font-size: 30px;
    font-family: var(--heading-font);
    color: var(--white);
}

header{
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000;
    background-color: var(--pry-color);
}

nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px;
}

.nav-links{
    display: flex;
    align-items: center;
    list-style: none;
    gap: 20px;
}

.nav-links li a{
    color: var(--white);
    text-decoration: none;
    font-size: 20px;
    transition: color 0.3s ease;
}

.nav-links a:hover,
.nav-links a:active {
    color: var(--accent-color);
}

.hamburger{
    display: none;
    flex-direction: column;
    cursor: pointer;
    gap: 5px;
}

.hamburger span{
    height: 3px;
    width: 25px;
    background-color: var(--accent-color);
}

/* Mobile Styles */
@media (max-width: 768px) {
  .nav-links{
        display: none;
  }

  .hamburger {
        display: flex;
  }

  .nav-links.active {
        display: flex;
        flex-direction: column;
        align-items: center;
        position: absolute;
        background-color: white;
        top: 70px;
        right: 0;
        width: 50%;
        gap: 20px;
        padding: 2rem 0;
        box-shadow: 0 5px 10px rgba(0, 0, 0, 0.05);
    }

    h1{
        font-size: var(--h1-mobile);
    }
    h2{
        font-size: var(--h2-mobile);
    }
    h3{
        font-size: var(--h3-mobile);
    }
    p{
        font-size: var(--p-mobile);
    }
    .logo{
    font-size: 20px;
    }
}

/* hero section */

.hero {
    position: relative;
    height: 100vh;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: #ffffff;
}

/* Video */
.hero-video {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform: translate(-50%, -50%);
    z-index: -2;
}

/* Dark overlay for readability */
.overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.55);
    z-index: -1;
}

/* Text */
.hero-content {
    max-width: 900px;
    padding: 20px;
}

.hero h1 {
    font-size:var(--h1-size);
    color: var(--accent-color);
}

.hero p {
    margin-top: 20px;
    margin-bottom: 30px;
    font-size: var(--p-size);
    line-height: 1.2;
    color: var(--white);
}

/* About section */
.about-section{
    display: flex;
    align-items: center;
    justify-content: space-around;
    gap: auto;

}
.abt-content{
    width: 700px;
}
.abt-content p{
    margin-bottom: 40px;
}

/* Mobile Styles */
@media (max-width: 768px) {
    .about-section{
        flex-direction: column;
        text-align: center;
    }
    .abt-content{
        width: 100%;
    }
}

/* Impact Section */
/* Section */
.impact {
  background-color: #F4F7F9;
  padding: 80px 20px;
  text-align: center;
}

.impact h2 {
  color: #0B3C5D;
  margin-bottom: 50px;
  font-size: 2.2rem;
}

/* Grid */
.impact-items {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 30px;
  max-width: 1000px;
  margin: auto;
}

/* Cards */
.impact-card {
  background: var(--white);
  padding: 30px 20px;
  border-radius: 12px;
  box-shadow: 0 8px 20px rgba(0,0,0,0.08);
  transition: transform 0.3s, box-shadow 0.3s;
}

.impact-card:hover {
  transform: translateY(-5px);
  box-shadow: 0 12px 25px rgba(0,0,0,0.12);
}

/* Icon */
.impact-card .icon i {
  font-size: 40px;
  color: var(--accent-color);
  margin-bottom: 15px;
}

/* Text */
.impact-card h3 {
  color: #0B3C5D;
  font-size: 1.4rem;
  margin-bottom: 10px;
}

.impact-card p {
  color: #1A1A1A;
  line-height: 1.6;
}

/* Mobile */
@media (max-width: 768px) {
  .impact-items {
    grid-template-columns: 1fr;
  }
}

/* CTA Section */
.cta {
    background-color: var(--accent-color);
    padding: 60px 20px;
    text-align: center;
    color: white;
}

.cta h2 {
    font-size: var(--h2-size);
}

.cta p {
    font-size: var(--p-size);
    margin-bottom: 30px;
}
.container{
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
}

/* footer */
/* Footer Section */
footer {
    background-color: var(--pry-color); 
    color: var(--white);
    padding: 60px 20px 30px 20px;
    font-family: 'Open Sans', sans-serif;
}

/* Footer Container: Flex Layout */
.footer-container {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    max-width: 1100px;
    margin: 20px;
    gap: 10px;
}
.footer-about{
    width: 300px;
    text-align: center;
}

/* Footer Columns */
.footer-about h3,
.footer-links h4,
.footer-contact h4 {
    color: var(--accent-color);
    margin-bottom: 15px;
}

.footer-about p,
.footer-links ul,
.footer-contact p {
    color: var(--white);
    margin: 0;
    line-height: 1.6;
}

/* Footer Links */
.footer-links ul {
    list-style: none;
    padding: 0;
}

.footer-links ul li {
    margin-bottom: 10px;
}

.footer-links ul li a {
    color: var(--white);
    text-decoration: none;
    transition: color 0.3s;
}

.footer-links ul li a:hover {
    color: var(--accent-color);
}

/* Footer Bottom */
.footer-bottom {
    text-align: center;
    margin-top: 40px;
    border-top: 1px solid rgba(255,255,255,0.2);
    padding-top: 20px;
    font-size: 0.9rem;
    color: var(--white);
}

/* Mobile Responsiveness */
@media (max-width: 768px) {
  .footer-container {
        flex-direction: column;
        text-align: center;
        gap: 20px;
  }
          
}
